/* 
 * Barbu Ionut Catalin
 * PM 2013
 * Masinuta teleghidata
 */

#ifndef F_CPU
#define F_CPU 16000000UL
#endif

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#define DELAY 	50
#define DOWN	0
#define UP	1

/* functie care comanda L298N */
void go(unsigned char fw, unsigned char dir)
{
	/* directie */
	if(dir == UP)
		PORTC |= (1 << PC0);
	else
		PORTC &= ~(1 << PC0);
	
	/* inainte */
	if(fw == UP)
		PORTC |= (1 << PC3);
	else
		PORTC &= ~(1<< PC3);
}

/*
 * motorul se opreste cand primeste 0-0
 */
void clear()
{
	PORTC &=~ ((1 << PC0) | (1 << PC2));
	PORTC &=~ ((1 << PC3) | (1 << PC4));
}

/* initializari */
void init()
{
	/* port C */
	DDRC = 0xFF;
	PORTC = 0x00;
	
	/* port D */
	DDRD = 0xFF;
	PORTD = 0x00;

	/* Enable motoare */
	PORTD |= (1<<PD5);
	PORTD |= (1<<PD4);
}

int main()
{
	/* init */
	init();
	
	while(1)
	{
		go(DOWN, UP);
		go(UP, UP);
		go(DOWN, UP);
		go(DOWN, DOWN);
				
		/* wait */
		_delay_ms(DELAY);
	}

	return 0;
}
